LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XContainerListener Interface Referencepublished

receives events when the content of the related container changes. More...

`import"XContainerListener.idl";`

Inheritance diagram for XContainerListener:

## Public Member Functions
void | elementInserted ([in] com::sun::star::container::ContainerEvent Event)
| is invoked when a container has inserted an element. More...
void | elementRemoved ([in] com::sun::star::container::ContainerEvent Event)
| is invoked when a container has removed an element. More...
void | elementReplaced ([in] com::sun::star::container::ContainerEvent Event)
| is invoked when a container has replaced an element. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives events when the content of the related container changes.

## Member Function Documentation

## ◆ elementInserted()

void elementInserted | ( | [in] com::sun::star::container::ContainerEvent | Event | ) |

is invoked when a container has inserted an element.

## ◆ elementRemoved()

void elementRemoved | ( | [in] com::sun::star::container::ContainerEvent | Event | ) |

is invoked when a container has removed an element.

## ◆ elementReplaced()

void elementReplaced | ( | [in] com::sun::star::container::ContainerEvent | Event | ) |

is invoked when a container has replaced an element.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XContainerListener.idl